from enum import Enum, unique


# 分析状态枚举
@unique
class AnalysisStatus(Enum):
    
    # 等待
    WAITING = "waiting"

    # 分析中
    RUNNING = "running"

    # 分析完成
    SUCCESS = "success"

    # 超时
    TIMEOUT = "timeout"

    # 失败
    FAILED = "failed"
