from enum import Enum, unique


# 异常枚举
@unique
class ModelType(Enum):

    WATER_SURFACE_MODEL = ("1", "001", "水面模型")

    FOREST_FARM_MODEL = ("2", "002", "林场模型")

    def checkCode(code):
        for model in ModelType:
            if model.value[1] == code:
                return True
        return False